org.eclipse.jetty.websocket

## Class FragmentExtension

- java.lang.Object
- - org.eclipse.jetty.websocket.AbstractExtension
  - - org.eclipse.jetty.websocket.FragmentExtension

All Implemented Interfaces:
  Extension, WebSocketGenerator, WebSocketParser.FrameHandler

    public class FragmentExtension
    extends AbstractExtension

### Constructor Summary

Constructors
Constructor and Description
`FragmentExtension()`

### Method Summary

Methods
`void` `addFrame(byte flags, byte opcode, byte[] content, int offset, int length)`
`boolean` `init(Map<String,String> parameters)`

### Methods inherited from class org.eclipse.jetty.websocket.AbstractExtension

`bind, clearFlag, close, flush, getConnection, getInitParameter, getInitParameter, getInitParameter, getName, getParameterizedName, isBufferEmpty, isFlag, onFrame, setFlag, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FragmentExtension

    public FragmentExtension()

### Method Detail

#### init

    public boolean init(Map<String,String> parameters)

Specified by:
  `init` in interface `Extension`
Overrides:
  `init` in class `AbstractExtension`

#### addFrame

    public void addFrame(byte flags,
                byte opcode,
                byte[] content,
                int offset,
                int length)
                  throws IOException

Specified by:
  `addFrame` in interface `WebSocketGenerator`
Overrides:
  `addFrame` in class `AbstractExtension`
Throws:
  `IOException`